function strain = StrainPath(eps_min,eps_max,nsteps)

% This function creates a (nsteps x 13) matrix containing the values of the
% historic strain matrix, composed of rows of each loading cycle, depending
% on the initial and final values of it and the length of each strain step
% Each row works as the input data for each loop inside the algorithm

strain = zeros(nsteps,13);

for i = 1 : length(eps_min)
    min = eps_min(i) ;
    max = eps_max(i) ;
    if (max - min) == 0
        strain(:,i) = zeros(nsteps,1);
    else
        h = (max - min)/nsteps ;
        strain(:,i) = [min+h : h : max] ;
    end
end